Skip to main content
GET
/
api
/
public
/
v1
/
schedules
/
assignments
List Schedule Assignments
curl --request GET \
  --url https://api.example.com/api/public/v1/schedules/assignments
{
  "data": [
    {
      "id": "uas_123...",
      "userId": "usr_999...",
      "workScheduleId": "sch_123...",
      "startDate": "2026-01-01T00:00:00.000Z",
      "endDate": null,
      "user": {
        "id": "usr_999...",
        "firstName": "John",
        "lastName": "Smith"
      },
      "workSchedule": {
        "id": "sch_123...",
        "name": "Standard Mon-Fri (9-5)",
        "type": "FIXED"
      }
    }
  ]
}
This endpoint allows external tools to map which shift patterns apply to which users.

Query Parameters

userId
string
Filter assignments for a specific employee.
workScheduleId
string
Filter assignments for a specific work schedule.

Response

{
  "data": [
    {
      "id": "uas_123...",
      "userId": "usr_999...",
      "workScheduleId": "sch_123...",
      "startDate": "2026-01-01T00:00:00.000Z",
      "endDate": null,
      "user": {
        "id": "usr_999...",
        "firstName": "John",
        "lastName": "Smith"
      },
      "workSchedule": {
        "id": "sch_123...",
        "name": "Standard Mon-Fri (9-5)",
        "type": "FIXED"
      }
    }
  ]
}